        function lastday( month, year )
C ***
C ******************************************************************************
C ***
C ***   Return the last day of month.
C ***
C ***   month   > I     Month
C ***   year    > I     Year
C ***
C ***   lastday < I     last day of month
C ***
C ***
C ***   $Log: lastday.f,v $
C ***   Revision 1.2  2002/12/15 15:42:41  michael
C ***   Leap year rule fixed.
C ***
C ***   Revision 1.1  2002/12/15 14:13:48  michael
C ***   Initial version.
C ***
C ***
C ******************************************************************************
C ***
        implicit none

C ***
C ***   Arguments
C ***
        integer month, year
        integer lastday

C ***
C ***   Local variables
C ***
        integer eom(12)
        data eom /31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31/

        if( mod(year,4) .eq. 0 .and. 
     >      (mod(year,100) .ne. 0 .or. 
     >       mod(year,400) .eq. 0) ) eom(2) = 29

        lastday = eom(month)

        end
