      SUBROUTINE LIB$GET_FOREIGN(COMMAND,PROMPT,LENGTH)
C
C     L I B $ G E T _ F O R E I G N
C
C     A simple version of the VMS system call.  This routine handles both the
C     three argument version and the one argument version (only COMMAND
C     specified).
C ***
C ***	I t  d o e s  n o t !!!!
C ***                               ML
C ***	Only three parameters!
C ***
C
C     Parameters -   (">" input, "!" modified, "<" output)
C
C     (!) COMMAND    (String) The command line
C     (<) PROMPT     (String) The prompt to use
C     (>) LENGTH     (Integer) The length of COMMAND
C
C     History:
C
C     9th  Sep 1989.  SNS / CIT. Original.
C     13th Sep 1989.  SNS / CIT. Code to handle one argument case added.
C     13th Dec 1989.  SNS / CIT. Sun version hacked up to assume three args.
C *** 18-JUN-1992     ML  / UT   Make it work like VMS, man!
C *** 14-AUG-1997 18:49:18.29  ML / Bamberg.  %loc does not work on Fujitsu's.
C ***                          This is a terribly bad mechanism anyway.
C ***                          If I have a compiler like Fujitu's that doesn't
C ***                          take empty arguments I have to change the
C ***                          calling code.  But that will then be incompatible
C ***                          to a compiler that does accept empty arguments,
C ***                          as well as to the original VMS system service.
C ***                          
C ***                          I will ignore the prompt variable if it is ' '.
C ***                          
C+
      IMPLICIT NONE
C
      CHARACTER COMMAND*(*)
      CHARACTER PROMPT*(*)
      INTEGER LENGTH
C
C     Functions
C
      INTEGER IARGC,IDX
c#ifdef convex
c      INTEGER GEN_ARGS
c#endif
C
C     Local Variables
C
      INTEGER ARGCT, SUBARGCT, i, j

      COMMAND=' '

c#ifdef convex
c      SUBARGCT=GEN_ARGS()
c#endif
c#ifdef sun
      SUBARGCT=5
c#endif

      j = 0
C     Two strings means that there are two extra arguments
      IF (SUBARGCT.EQ.5) THEN
      	ARGCT=IARGC()
c#ifndef __uxp__
c        IF (ARGCT.EQ.0 .and. %loc(prompt) .ne. 0 ) THEN
c#endif
      	IF (ARGCT.EQ.0 .and. prompt .ne. ' ' ) THEN
	 	WRITE(*,'(A,$)') PROMPT
	 	READ(*,'(A)')COMMAND
      	ELSE
	   do i = 1, argct
	      CALL GETARG( i, command(j+1:) )
              j = idx( command )
              j = j + 1
              command(j:) = ' '
	   end do
      	END IF

      	LENGTH = j
      ELSE IF (SUBARGCT.EQ.1) THEN
	 do i = 1, argct
	    CALL GETARG( i, command(j+1:) )
            j = idx( command )
            j = j + 1
            command(j:) = ' '
	 end do
      END IF

      END
