	subroutine decode_fit_par( line )
C ***
C ******************************************************************************
C ***
C ***	Decodes line for elements to fit spectrum.
C ***
C ***	24-MAY-1992 07:31:42.06		ML / UT Austin
C ***
C ***	Modified:
C ***
C ***	 7-JUN-1992 22:47:49.64		ML / UT Austin
C ***                                   new concept
C ***
C ***	Picks up FIT_ITEM and increments MFIT.
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
	character*(*) line

C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'
	include 'CALCUL.INC'

C ***
C ***	Functions
C ***
	integer istr

C ***
C ***	Local variables
C ***
	character item*10
	integer ielem



	call compress( line, line )

	ielem = 1
	call element( item, ielem, ' ', line )
	do while( item .ne. ' '  )
           mfit = mfit + 1
	   if( mfit .gt. nfit ) then
	      write( stdout, * ) 
     >          'LINLTE>> ERROR: Too many items to fit.  No more than',
     >          nfit, ', please.'
	      write( stdout, * ) 
     >          '                Modify LINE.DAT lines with control ',
     >          'flag 54.  Last read:'
	      write( stdout, * )
     >          '                ', item
	      call exit
	   end if
	   fit_item( mfit ) = istr( item )
           ielem = ielem + 1
	   call element( item, ielem, ' ', line )
	end do
	end
