! Macros
!
! $Id: descrip.mms,v 1.4 2004/03/03 23:53:52 ai26 Exp $
!
sd = sys$disk:
sdtop = sys$disk:[
objs = sys$disk:
bindir = sc:

plot_package = mongo
os = vms

#$(plot_package) = 1	! would be nice if worked
mongo = 1		! so do this instead

sub1 = -
$(objs)airlam.obj, -
$(objs)analyze.obj, -
$(objs)ahylbf.obj, -
$(objs)ash.obj, -
$(objs)bfac.obj, -
$(objs)blockhj.obj, -
$(objs)cont.obj, -
$(objs)corder.obj, -
$(objs)curfit.obj, -
$(objs)decode_fit_par.obj, -
$(objs)defaults.obj

sub2 = -
$(objs)deleta.obj, -
$(objs)dep.obj, -
$(objs)deriv.obj, -
$(objs)erased_text.obj, -
$(objs)eofchar.obj, -
$(objs)eqwidth.obj, -
$(objs)falt.obj, -
$(objs)flux.obj, -
$(objs)gauhbf.obj, -
$(objs)get_limits.obj

sub3 = -
$(objs)h.obj, -
$(objs)h_data.obj, -
$(objs)h_fij.obj, -
$(objs)h_vnm.obj, -
$(objs)hlinop.obj, -
$(objs)hyp2f1.obj, -
$(objs)integ.obj, -
$(objs)kapgam.obj, -
$(objs)lab_decode.obj, -
$(objs)lamair.obj, -
$(objs)limout.obj, -
$(objs)linfit.obj

sub4 = -
$(objs)linlte.obj, -
$(objs)linop.obj, -
$(objs)map1.obj, -
$(objs)matinv.obj, -
$(objs)bcss.obj, -
$(objs)hebcss.obj, -
$(objs)profhe.obj, -
$(objs)mon.obj, -
$(objs)new.obj

sub5 = -
$(objs)newmicro.obj, -
$(objs)new_plot.obj, -
$(objs)null.obj, -
$(objs)order.obj, -
$(objs)page.obj, -
$(objs)parcoe.obj, -
$(objs)falt_plot.obj

sub6 = -
$(objs)pbegin.obj, -
$(objs)pend.obj, -
$(objs)phard.obj, -
$(objs)plote.obj, -
$(objs)ploto.obj, -
$(objs)plotout.obj, -
$(objs)pol.obj, -
$(objs)proapp.obj, -
$(objs)profhy.obj, -
$(objs)profvcs.obj

sub7 = -
$(objs)putout.obj, -
$(objs)readin.obj, -
$(objs)resize.obj, -
$(objs)rotcon.obj, -
$(objs)rrca.obj, -
$(objs)s.obj, -
$(objs)sfilop.obj, -
$(objs)rvcorr.obj

sub8 = -
$(objs)spefit.obj, -
$(objs)stark.obj, -
$(objs)sumeta.obj, -
$(objs)synthesis.obj, -
$(objs)ucg.obj, -
$(objs)vcs.obj, -
$(objs)lplot.obj, -
$(objs)lblove.obj, -
$(objs)plotscale.obj

sub9 = -
$(objs)scross.obj, -
$(objs)locate.obj, -
$(objs)fig_cross.obj, -
$(objs)apodize.obj, -
$(objs)correlate.obj, -
$(objs)fft2c.obj, -
$(objs)gen_nfillf.obj, -
$(objs)gen_mulcaf.obj, -
$(objs)gen_power2.obj, -
$(objs)legendre.obj, -
$(objs)peakfit.obj

sub10 = - 
$(objs)rmsetc.obj, -
$(objs)invert.obj, -
$(objs)eofexit.obj, -
$(objs)linehe1.obj, -
$(objs)newpol2.obj, -
$(objs)he1.obj, -
$(objs)he2.obj, -
$(objs)hegriem.obj, -
$(objs)selprof.obj, -
$(objs)lib_get_foreign.obj

sub11 = -
$(objs)hebwb.obj, -
$(objs)bwb.obj, -
$(objs)vcssb.obj, -
$(objs)profvcssb.obj, -
$(objs)he2_data.obj, -
$(objs)qagi.obj, -
$(objs)gam.obj



#
#	Shareable images for plot library
#
.ifdef mongo
stuff = -
$(objs)tplane.obj, -
$(objs)gplane.obj

share = bkemushr/share!,mongoshr/share
nat =
.endif

.ifdef kalhoff
stuff =
share = ploshr/share
nat = /nonative
.endif


#
#	Debug stuff
#
obj_dest = /obj=$(objs)
.ifdef deb
fflags = $(obj_dest)/noop/deb/g_float/check=nooutput/warn=(nousa,nounca)/d_
linkflags = $(linkflags)/deb
.else
.ifdef pca
fflags = $(obj_dest)/deb/g_float/check=nooutput/warn=(nousa,nounca)/d_
linkflags = $(linkflags)/deb
.else
fflags = $(obj_dest)/g_float/check=nooutput/warn=(nousa,nounca)/opt=(lev=5,tune=host)/d_
.endif
.endif
.ifdef sun
f77 =  rcp $(MMS$SOURCE) "crown::linfor/real_linfit/''f'.for
ld  =  rsh/input=nl: crown "cd linfor/real_linfit; make
.else
f77 = continue
ld  = continue
.endif


.SUFFIXES: .f

!
! Rules:

.F.OBJ :
	    $(FORT) $(FFLAGS) $(MMS$SOURCE)
            f = f$edit( f$element( 1, ":", "$(MMS$TARGET_NAME)" ), "LOWERCASE" )
	    $(F77)

!
! Dependencies:

linlte.exe : $(sub1) $(sub2) $(sub3) $(sub4) $(sub5) $(sub6) $(sub7) $(sub8) -
             $(sub9) $(sub10) $(sub11) $(stuff)
	open/write opt sys$scratch:files.opt
	write opt "$(sub1)"
	write opt "$(sub2)"
	write opt "$(sub3)"
	write opt "$(sub4)"
	write opt "$(sub5)"
	write opt "$(sub6)"
	write opt "$(sub7)"
	write opt "$(sub8)"
	write opt "$(sub9)"
	write opt "$(sub10)"
	write opt "$(sub11)"
	write opt "$(stuff)"
	write opt "plt/l"
	write opt "$(share)"
	write opt "$(nat)"
	close opt
	opt = f$search("sys$scratch:files.opt")
	- link $(linkflags) /ex=$(objs)linlte 'opt'/opt /sysexe !@plb
	delete 'opt
	$(ld)

install : 
	- purge *.exe	! so BACKUP isn't confused
	- backup/log/del/new linlte.exe $(bindir)
!	- purge $(bindir)linlte.exe

clean	       : 
	purge

! Optimizer produces numerically unstable code otherwise. 9-FEB-1998 18:57:01.01
$(objs)fft2c.obj : $(sd)fft2c.f
	$(FORT) $(FFLAGS)/opt=(lev=5,noloop,tune=host) fft2c.f


$(objs)lib_get_foreign.obj : $(sdtop).sysdep.$(os)]lib_get_foreign.f
$(objs)eofexit.obj : $(sdtop).sysdep.$(os)]eofexit.f
$(objs)eofchar.obj : $(sdtop).sysdep.$(os)]eofchar.f
$(objs)erased_text.obj : $(sdtop).sysdep.$(plot_package)]erased_text.f
$(objs)gplane.obj : $(sdtop).sysdep.$(plot_package)]gplane.f 
$(objs)new_plot.obj : $(sdtop).sysdep.$(plot_package)]new_plot.f 
$(objs)phard.obj : $(sdtop).sysdep.$(plot_package).$(os)]phard.f 
$(objs)plote.obj : $(sdtop).sysdep.$(plot_package).$(os)]plote.f 
$(objs)ploto.obj : $(sdtop).sysdep.$(plot_package).$(os)]ploto.f 
$(objs)tplane.obj : $(sdtop).sysdep.$(plot_package)]tplane.f 

# DO NOT DELETE THIS LINE - used by make depend
$(objs)analyze.obj : $(sd)LINLTE.INC $(sd)IF.INC $(sd)FLUSS.INC $(sd)FCON.INC $(sd)CALCUL.INC $(sd)LINE.INC $(sd)PROFIL.INC $(sd)RECT_SIZE.INC $(sd)FILES.INC 
$(objs)ash.obj : $(sd)LINLTE.INC $(sd)PRES.INC $(sd)LINE.INC 
$(objs)bcss.obj : $(sd)LINLTE.INC $(sd)FILES.INC $(sd)STRUCT.INC 
$(objs)bfac.obj : $(sd)LINLTE.INC $(sd)STRUCT.INC $(sd)NLTE.INC $(sd)LINE.INC 
$(objs)bwb.obj : $(sd)LINLTE.INC $(sd)BWB.INC $(sd)FILES.INC 
$(objs)bwb1.obj : $(sd)LINLTE.INC $(sd)BWB.INC $(sd)LINE.INC $(sd)FILES.INC 
$(objs)bwb_doppler.obj : $(sd)LINLTE.INC $(sd)BWB.INC $(sd)FILES.INC 
$(objs)cont.obj : $(sd)LINLTE.INC $(sd)OPCON.INC $(sd)STRUCT.INC $(sd)IF.INC $(sd)FLUSS.INC 
$(objs)curfit.obj : $(sd)LINLTE.INC $(sd)CALCUL.INC $(sd)IF.INC 
$(objs)decode_fit_par.obj : $(sd)LINLTE.INC $(sd)CALCUL.INC 
$(objs)defaults.obj : $(sd)LINLTE.INC $(sd)CALCUL.INC $(sd)FLUSS.INC $(sd)IF.INC $(sd)LINDAT.INC $(sd)LINE.INC $(sd)NLTE.INC $(sd)PROFIL.INC 
$(objs)deleta.obj : $(sd)LINLTE.INC $(sd)CALCUL.INC 
$(objs)dep.obj : $(sd)LINLTE.INC $(sd)FCON.INC $(sd)PROFIL.INC 
$(objs)eqwidth.obj : $(sd)LINLTE.INC $(sd)IF.INC $(sd)CALCUL.INC $(sd)PROFIL.INC 
$(objs)falt.obj : $(sd)LINLTE.INC $(sd)OUTWAV.INC $(sd)FCON.INC $(sd)PROFIL.INC $(sd)IF.INC $(sd)CALCUL.INC $(sd)FILES.INC $(sd)PRINT.INC $(sd)FLUSS.INC $(sd)TEFF.INC 
$(objs)flux.obj : $(sd)LINLTE.INC $(sd)MATX.INC $(sd)STRUCT.INC $(sd)IF.INC $(sd)FLUSS.INC $(sd)DEPTH.INC 
$(objs)flux6.obj : $(sd)LINLTE.INC $(sd)STRUCT.INC $(sd)IF.INC $(sd)FLUSS.INC $(sd)DEPTH.INC 
$(objs)gam.obj : $(sd)LINLTE.INC $(sd)IONS.INC $(sd)STRUCT.INC $(sd)PRES.INC $(sd)LINDAT.INC $(sd)LINE.INC $(sd)BROAD.INC 
$(objs)get_limits.obj : $(sd)LINLTE.INC $(sd)OBS.INC $(sd)PROFIL.INC $(sd)MON_CODES.INC 
$(objs)h_data.obj : $(sd)LINLTE.INC $(sd)LINDAT.INC $(sd)LINE.INC 
$(objs)he1.obj : $(sd)LINLTE.INC $(sd)LINDAT.INC $(sd)LINE.INC 
$(objs)he2.obj : $(sd)LINLTE.INC $(sd)LINDAT.INC $(sd)LINE.INC 
$(objs)he2_data.obj : $(sd)LINLTE.INC $(sd)LINDAT.INC $(sd)LINE.INC 
$(objs)hebcss.obj : $(sd)LINLTE.INC $(sd)LINE.INC $(sd)LINDAT.INC 
$(objs)hebwb.obj : $(sd)LINLTE.INC $(sd)LINE.INC $(sd)LINDAT.INC $(sd)BWB.INC 
$(objs)hegriem.obj : $(sd)LINLTE.INC $(sd)LINE.INC $(sd)LINDAT.INC 
$(objs)integ.obj : $(sd)LINLTE.INC $(sd)BWB.INC 
$(objs)kapgam.obj : $(sd)LINLTE.INC $(sd)IONS.INC $(sd)STRUCT.INC $(sd)PRES.INC $(sd)TEFF.INC $(sd)LINE.INC $(sd)BROAD.INC 
$(objs)lab_decode.obj : $(sd)LINLTE.INC 
$(objs)legendre.obj : $(sd)LEGENDRE.INC 
$(objs)limout.obj : $(sd)LINLTE.INC $(sd)FILES.INC $(sd)OBS.INC $(sd)PROFIL.INC 
$(objs)linfit.obj : $(sd)LINLTE.INC $(sd)PROFIL.INC $(sd)CALCUL.INC $(sd)IF.INC 
$(objs)linlte.obj : $(sd)LINLTE.INC 
$(objs)linlte6.obj : $(sd)LINLTE.INC 
$(objs)linop.obj : $(sd)LINLTE.INC $(sd)LINE.INC $(sd)LINDAT.INC $(sd)IONS.INC $(sd)STRUCT.INC $(sd)PRES.INC 
$(objs)lplot.obj : $(sd)LINLTE.INC $(sd)IF.INC $(sd)CALCUL.INC 
$(objs)matinv.obj : $(sd)LINLTE.INC 
$(objs)mon.obj : $(sd)LINLTE.INC $(sd)IF.INC $(sd)CALCUL.INC $(sd)MON_CODES.INC $(sd)ERASURE.INC 
$(objs)new.obj : $(sd)LINLTE.INC $(sd)STRUCT.INC $(sd)LINE.INC 
$(objs)newmicro.obj : $(sd)LINLTE.INC $(sd)LINE.INC $(sd)STRUCT.INC $(sd)PRES.INC $(sd)IONS.INC $(sd)CALCUL.INC $(sd)LINDAT.INC 
$(objs)page.obj : $(sd)PRINT.INC 
$(objs)pbegin.obj : $(sd)LINLTE.INC $(sd)CALCUL.INC 
$(objs)pend.obj : $(sd)LINLTE.INC $(sd)CALCUL.INC 
$(objs)plotout.obj : $(sd)LINLTE.INC $(sd)CALCUL.INC $(sd)PROFIL.INC $(sd)TEFF.INC $(sd)IF.INC $(sd)PRINT.INC $(sd)NLTE.INC $(sd)RECT_SIZE.INC $(sd)OBS.INC $(sd)FIT.INC $(sd)ERASURE.INC $(sd)LINE.INC $(sd)LINDAT.INC 
$(objs)plotscale.obj : $(sd)LINLTE.INC $(sd)RECT_SIZE.INC $(sd)IF.INC $(sd)OBS.INC $(sd)PROFIL.INC 
$(objs)profhe.obj : $(sd)LINLTE.INC $(sd)STRUCT.INC $(sd)PRES.INC $(sd)LINE.INC $(sd)LINDAT.INC 
$(objs)profhe_doppler.obj : $(sd)LINLTE.INC $(sd)STRUCT.INC $(sd)PRES.INC $(sd)LINE.INC $(sd)LINDAT.INC 
$(objs)profhy.obj : $(sd)LINLTE.INC $(sd)LINE.INC 
$(objs)profvcs.obj : $(sd)LINLTE.INC $(sd)STRUCT.INC $(sd)PRES.INC $(sd)LINE.INC $(sd)LINDAT.INC 
$(objs)profvcssb.obj : $(sd)LINLTE.INC $(sd)STRUCT.INC $(sd)PRES.INC 
$(objs)putout.obj : $(sd)LINLTE.INC $(sd)ELEM.INC $(sd)IONS.INC $(sd)OPCON.INC $(sd)STRUCT.INC $(sd)PRES.INC $(sd)TEFF.INC $(sd)IF.INC $(sd)FLUSS.INC $(sd)FCON.INC $(sd)DEPTH.INC $(sd)LINDAT.INC $(sd)LINE.INC $(sd)PROFIL.INC $(sd)CALCUL.INC $(sd)NLTE.INC $(sd)PRINT.INC $(sd)OBS.INC $(sd)FIT.INC 
$(objs)qagi.obj : $(sd)LINLTE.INC 
$(objs)readin.obj : $(sd)LINLTE.INC $(sd)FILES.INC $(sd)OUTWAV.INC $(sd)PROFIL.INC $(sd)ELEM.INC $(sd)IONS.INC $(sd)OPCON.INC $(sd)STRUCT.INC $(sd)PRES.INC $(sd)TEFF.INC $(sd)IF.INC $(sd)FLUSS.INC $(sd)FCON.INC $(sd)LINDAT.INC $(sd)LINE.INC $(sd)CALCUL.INC $(sd)NLTE.INC $(sd)PRINT.INC $(sd)OBS.INC $(sd)READE.INC 
$(objs)resize.obj : $(sd)LINLTE.INC $(sd)RECT_SIZE.INC $(sd)CALCUL.INC $(sd)IF.INC $(sd)ERASURE.INC $(sd)MON_CODES.INC 
$(objs)rvcorr.obj : $(sd)LINLTE.INC $(sd)FIT.INC $(sd)OBS.INC $(sd)IF.INC $(sd)CALCUL.INC $(sd)PROFIL.INC 
$(objs)scross.obj : $(sd)LINLTE.INC 
$(objs)selprof.obj : $(sd)LINLTE.INC $(sd)LINDAT.INC $(sd)LINE.INC 
$(objs)sfilop.obj : $(sd)LINLTE.INC $(sd)IF.INC $(sd)CALCUL.INC $(sd)FILES.INC $(sd)IONS.INC $(sd)PRES.INC $(sd)STRUCT.INC $(sd)LINE.INC $(sd)OBS.INC $(sd)LINDAT.INC 
$(objs)spefit.obj : $(sd)LINLTE.INC $(sd)CALCUL.INC $(sd)PROFIL.INC $(sd)IF.INC $(sd)ELEM.INC $(sd)LINE.INC $(sd)PRES.INC $(sd)PRINT.INC $(sd)RECT_SIZE.INC $(sd)OBS.INC $(sd)FIT.INC $(sd)MON_CODES.INC $(sd)ERASURE.INC $(sd)FILES.INC 
$(objs)sumeta.obj : $(sd)LINLTE.INC $(sd)IF.INC $(sd)FLUSS.INC $(sd)LINE.INC $(sd)LINDAT.INC $(sd)STRUCT.INC $(sd)CALCUL.INC $(sd)PROFIL.INC 
$(objs)synthesis.obj : $(sd)LINLTE.INC $(sd)IF.INC $(sd)FLUSS.INC $(sd)FCON.INC $(sd)CALCUL.INC $(sd)PROFIL.INC $(sd)LINE.INC $(sd)LINDAT.INC 
$(objs)ucg.obj : $(sd)LINLTE.INC $(sd)FLUSS.INC $(sd)FCON.INC $(sd)LINE.INC 
$(objs)vcs.obj : $(sd)LINLTE.INC $(sd)FILES.INC $(sd)LINDAT.INC 
$(objs)vcssb.obj : $(sd)LINLTE.INC $(sd)FILES.INC $(sd)LINDAT.INC 
