	function he2( k )
C ***
C ******************************************************************************
C ***
C ***	Tell if this line is He II and user asks for special non-Voigt profile.
C ***   It does not tell if that profile is available.
C ***
C ***	k	> I  number of blend line
C ***	he2	< I  PVCSSB: VCS profiles Schning & Butler wanted
C ***		     PVOIGT: Voigt function
C ***		     more can be added
C ***
C ***	14-SEP-1997 17:48:25.00		ML / Stegaurach.  Made.
C ***	31-OCT-1997 19:10:52.16		ML / Bamberg.  Fixed.
C ***	19-FEB-1998 12:52:05.04		ML / Bamberg.  Really.
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
	integer k
	integer he2

C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'
	include 'LINDAT.INC'
	include 'LINE.INC'


	if( namk(k) .eq. 201 ) then
           if( drrca(k) .eq. -1. ) then
	      he2 = PVCSSB 		! VCS
	   else
	      he2 = PVOIGT
	   end if
	else
	   write( stdout, * ) 'LINLTE>>  Illegal call of HE2.'
	   call exit
	end if

	end
