	function lamair(vac)
C ***
C ******************************************************************************
C ***
C ***	Converts vacuum wavelengths to "standard air" wavelengths.
C ***	Taken from Allen, AQ.
C ***
C ***	vac	r >	vacuum wavelength []
C ***
C ***	15-JUN-1994 18:28:36.00		ML / IoA
C ***
C ******************************************************************************
C ***
	implicit none
	real lamair, vac

	if( vac .ge. 2000. ) then
           lamair = vac/( 1.e-6*( 64.328 + 29498.1/(146. - 1.e8/vac/vac)
     >                            + 255.4/(41. - 1.e8/vac/vac) ) + 1. )
	else
	   lamair = vac
	end if

	end
