	subroutine phard       
C ***
C ******************************************************************************
C ***
C ***	Print hardcopy.  This is a plot package dependent function.
C ***
C ***	Mongo/Unix version.
C ***	Accepts env var LINLTE_PRINT which must be valid Fortran format
C ***	for constructing print command.  Default: ('lpr -h ', a)
C ***
C ***	Modifications:
C ***
C ***	18-NOV-1994 18:30:26.00		ML / IoA.  Created.
C ***	19-NOV-1994 01:24:33.00		ML / IoA.  Added LINLTE_PRINT, version
C ***					control
C ***
C ******************************************************************************
C ***
	implicit none

	include 'LINLTE.INC'
	character*1024 file_name, format, command*1023

	integer i, context
	integer idx, system

	call post_file_name( file_name, i )

	context = 0
	call versname( file_name(:i), 'O', file_name, context )

	call getenv( 'LINLTE_PRINT', format )
	if( format .eq. ' ' ) then
	   format = '(''lpr -h '', a)'
	end if
	command = ' '
	write( command, format ) file_name(:idx(file_name))
	if( system(command) .ne. 0 ) then
	   write( stdout, * ) 'LINLTE>> Couldn''t print.'
	end if

	end
