      FUNCTION AH2P(ALAM,TEMP)
C     CONTINUOUS ABSORPTION:HYDROGEN MOLECULAR ION H2+
C     BOGGESS(1959);ALAM>10000 EXTRAPOLATED
      COMMON/CONST/ALN10,BOLTZK,HPLANC,CLIGHT
      INCLUDE 'OP.INC'
      DIMENSION AL(14),AA(14),AB(14)
      DATA(AL(M),M=1,14)/400.,500.,1000.,1500.,2000.,2500.,3000.,
     1 4000.,5000.,6000.,7000.,8000.,9000.,10000./
      DATA(AA(M),M=1,14)/-19.00,-19.14,-19.69,-20.20,-20.59,-20.91,
     1 -21.18,-21.63,-21.98,-22.29,-22.54,-22.77,-22.97,-23.16/
      DATA(AB(M),M=1,14)/200000.,134600.,48420.,28770.,20040.,15220.,
     1 12220.,8650.,6650.,5380.,4500.,3860.,3380.,3000./
      AH2P=0.
      IF(ALAM.LT.400.)GO TO 1
      IF(ALAM.LE.10000.)GO TO 2
      C=-23.16-4.0*ALOG10(ALAM/10000.)
      D=3000.*(ALAM/10000.)**(-1.15)
      GO TO 3
    2 CONTINUE
      DO 4 L=1,13
      IF(ALAM.GE.AL(L).AND.ALAM.LE.AL(L+1))M=L
    4 CONTINUE
      XL=ALOG(ALAM)
      A1=ALOG(AL(M))
      A2=ALOG(AL(M+1))
      Y=(XL-A1)/(A2-A1)
      C=AA(M)+(AA(M+1)-AA(M))*Y
      A1=ALOG(AB(M))
      A2=ALOG(AB(M+1))
      X=A1+(A2-A1)*Y
      D=EXP(X)
    3 CONTINUE
      F=EXP(ALN10*(C-D/TEMP))
      AH2P=F/ATHOMS/12.5663706/BLAM
    1 CONTINUE
      RETURN
      END
