        SUBROUTINE HECSC
C ***
C ******************************************************************************
C ***
C ***   Readin of cross section data for helium.
C ***
C ***     1-DEC-1988 19:36:41.07
C ***
C ***	17-MAY-1996 13:55:39.95		ML / Bamberg.  NCOLL -> M_COLL
C ***
C ******************************************************************************
C ***
        INTEGER ATOM
        PARAMETER( ATOM = 1 )
        INCLUDE 'MOD_SIZ.INC'
        INCLUDE 'COLIS.INC'
        CHARACTER*80 HE_COLL, HE_COLNEU
        COMMON /HECOLC/ HE_COLL(M_COLL), HE_COLNEU(M_COLL)
        COMMON /HECOL/ H1BB, H1BF, ELBB, ELBF
C ***
C ***   Read of scaling factors:
C ***
C ***   ELBB:  Electron collsions bound - bound
C ***   ELBF:  Electron collsions bound - free
C ***   H1BB:  Neutral particel collisons bound - bound
C ***   H1BF:  Neutral particel collisons bound - free
C ***
        READ( ATOM, * ) ELBB, ELBF, H1BB, H1BF
C ***
        DO 10 I = 1, M_COLL
           HE_COLL(I) = 'END'
10      CONTINUE
C ***
C ***   Neutral collisions not fully implemented. Derived from electron
C ***   collisions. 
C ***
C ***   To implement it correctly, HE_COLNEU must be read in too.
C ***
        I = 0
1       CONTINUE
           I = I + 1
           IF( I .GT. M_COLL ) THEN
              WRITE( 6, * ) 'Too many electron collision cross ', 
     >          'sections in file ATOM!'
              STOP
           END IF
           READ( ATOM, '(A)', END = 2 ) HE_COLL(I)
           HE_COLNEU(I) = HE_COLL(I)    ! Change for correct neutral collisons!
           GO TO 1
2       CONTINUE
        END
