	subroutine intep( xp, p, x, f, n, ier )
	implicit none
C ***
C *****************************************************************************
C ***
C ***	11-JUL-1999 22:37:23.00		ML / Stegaurach.  Cleaned up layout,
C ***					SAVEd a few more variables 

C ***
C ***	Arguments
C ***
	integer n, ier
	real xp, p, x(n), f(n)

C ***
C ***	Local variables
C ***
	logical iup
        integer i, io, n1
        real  fp1, fp2, fp1h, fp2h, lp1, lp2, l1, l2, xpi, xpi1

C ***
C ***	Functions
C ***
	integer isrchfle, isrchfge

        save io, iup, fp1h, fp2h, n1, lp1, lp2, fp1, fp2

C ***
C ***	Code
C ***
      	ier = 1
      	io = 1
      	fp1h = ( f(2) - f(1) )/( x(2) - x(1) )
        fp2h = ( f(n) - f(n-1) )/( x(n) - x(n-1) )
      	iup = x(2).lt.x(1)
        n1 = n - 1
        if( (xp .ge. x(n) .and. .not.iup) .or. 
     >      (xp .le. x(n) .and. iup) ) then
	   go to 5
        else if( (xp .le. x(1) .and. .not.iup) .or.
     >           (xp .ge. x(1) .and. iup) ) then
	   p = f(1)
           go to 6
	end if

	entry eintep( xp, p, x, f, n, ier )
C ***         ======

	if(iup) then
	   i = isrchfle(n - io + 1, x(io), 1, xp) + io - 1
	else
	   i = isrchfge(n - io + 1, x(io), 1, xp) + io - 1
	end if
	if( i .eq. n + 1 ) go to 5
	i = i - 1
	if( i .eq. io - 1 ) go to 4
	io = i + 1
	lp1 = 1./( x(i) - x(i+1) )
        lp2 = -lp1
	if( i .ne. 1 ) then
	   fp1 = ( f(i+1) - f(i-1) )/( x(i+1) - x(i-1) )
	else
	   fp1 = fp1h
	end if
	if( i .lt. n1 ) then
	   fp2 = ( f(i+2) - f(i) )/( x(i+2)-x(i) )
	else
	   fp2 = fp2h
	end if
4       continue
	xpi1 = xp - x(i+1)
	xpi = xp - x(i)
	l1 = xpi1*lp1
	l2 = xpi*lp2
	p = f(i)*( 1. - 2.*lp1*xpi )*l1*l1 + f(i+1)*( 1. - 2.*lp2*xpi1 )
     >      *l2*l2 + fp2*xpi1*l2*l2 + fp1*xpi*l1*l1
	return

5       continue
	p = f(n)

6       continue
	ier = 2
	end
