        subroutine pops( a, iffile )
C ***
C ***   10-MAR-1993 23:46:30.42
C ***
C ***	25-MAR-1996 13:53:58.01		ML / Bamberg.  Removed write(77,...
        implicit none

C ***
C ***   Parameters
C ***
        include 'MOD_SIZ.INC'

C ***
C ***   Arguments
C ***
        real a( m_levels, m_levels )
        integer iffile

        integer f_rurd, f_fixrad, f_dnidzt
        parameter( f_rurd = 31, f_fixrad = 20, f_dnidzt = 22 )


C ***
C ***   Global variables
C ***
        integer nl, nk, ndepth, nj, nt, nf1, low, up, label
        real gr
        common /nns/ nl, nk, ndepth, nj, nt, nf1( m_lines ),
     >         low( m_lines ), up( m_lines ), gr( m_lines ),
     >         label( m_levels + 2 )

        integer nxtion
        real m, rho, n
        common /model/ m( 50 ), rho( 50 ), nxtion( m_levels ),
     >         n( 50, m_levels )

        real ru, rd, ns
        common /outs/ ru( 50, m_lines ), rd( 50, m_lines ),
     >         ns( 50, m_levels )

        real p, maxp
        common /trans/ p( m_levels, 50 ), maxp

C ***
C ***   Local variables
C ***
        integer i, j, in, ik, it, id, ijt( m_levels )
        real b, dn, dnkdzt( m_lines )

C ***
C ***   Code
C ***

        open ( unit = f_rurd, file = 'RURD', form = 'UNFORMATTED' )
        rewind f_rurd
        open ( unit = f_fixrad, file = 'FIXRAD', form = 'UNFORMATTED' )
        rewind f_fixrad

        if( iffile .eq. 1 ) then
           in = 0
           do ik = 1, nk
              do it = 1, nt
                 if( low(it) .eq. ik .or. up(it) .eq. ik ) then
                    in = in + 1
                    ijt( ik ) = in
                    go to 1
                 end if
              end do
              ijt( ik ) = -1000000

1             continue
           end do

           open ( unit = f_dnidzt, file = 'DNIDZT', 
     >            form = 'UNFORMATTED' )
           rewind f_dnidzt

           call wr1( f_dnidzt, ijt, nk )
        end if

        do it = 1, nt
           call re2( f_rurd, ru(1, it), ndepth, rd(1, it), ndepth )
        end do
        rewind f_rurd
        maxp = 0.
        do id = 1, ndepth
           do j = 1, nk
              call re1( f_fixrad, a(1, j), nk )
           end do
           read( f_fixrad ) b
           do it = 1, nt
              i = low( it )
              j = up( it )
              if( id .eq. 20 ) then
*                 write( 77, '(2i4, 1p, 2e25.16)' ) i, j, 
*     >                        ru( id, it ), rd( id, it )
*                 write( 77, '(1x, 1p, 4e25.16)' ) a( i, i ), a( i, j ),
*     >                                            a( j, i ), a( j, j )
              end if
              a( i, i ) = a( i, i ) + ru( id, it )
              a( i, j ) = a( i, j ) - rd( id, it )
              if( j .ne. nk ) then
                 a( j, i ) = a( j, i ) - ru( id, it )
                 a( j, j ) = a( j, j ) + rd( id, it )
              end if
              if( id .eq. 20 ) then
*                 write( 77, '(1x, 1p, 4e25.16, /)' ) a( i, i ), 
*     >                               a( i, j ), a( j, i ), a( j, j )
              end if

           end do
           call matinv( a, nk, m_levels )
           do i = 1, nk
              dn = a( i, nk )*b
              p( i, id ) = dn/n( id, i ) - 1.
              n( id, i ) = dn
              if( i .ne. nk ) maxp = max( maxp, abs(p(i, id)) )
           end do
           if( iffile .eq. 1 ) then
              do ik = 1, nk
                 if( ijt(ik) .gt. 0 ) then
                    do it = 1, nt
                       i = low( it )
                       j = up( it )
                       dnkdzt( it ) = -a( ik, i )
                       if( j .ne. nk ) dnkdzt( it ) = dnkdzt( it ) +
     >                                                a( ik, j )
                    end do
                    call wr1( f_dnidzt, dnkdzt, nt )
                 end if

              end do
           end if

        end do
        if( iffile .eq. 1 ) then
           rewind f_dnidzt
           close( f_dnidzt )
        end if
        close( f_rurd )
        do i = 1, nk
           call re1( f_fixrad, ns(1, i), ndepth )
        end do
        rewind f_fixrad
        end
