! Macros
plot_package = mongo
os = vms

#$(plot_package) = 1	! would be nice if worked
mongo = 1		! so do this instead


sub1 = -
resize.obj, -
re_paint.obj, -
erased_text.obj, -
eofchar.obj, -
new_plot.obj, -
null.obj, -
resize_ezsetup.obj, -
resize_fsetup.obj, -
resize_dsetup.obj, -
resize_add_data.obj, -
resize_add_text.obj, -
resize_init.obj, -
resize_xmin.obj, -
resize_ymin.obj, -
resize_xmax.obj, -
resize_ymax.obj, -
resize_freset.obj, -
resize_dreset.obj, -
resize_treset.obj, -
resize_reset.obj

sub2 = -
pbegin.obj, -
pend.obj, -
phard.obj, -
plote.obj, -
ploto.obj, -
plotout.obj, -
plotscale.obj, -
psize.obj



#
#	Shareable images for plot library
#
.ifdef mongo
stuff = -
tplane.obj, -
gplane.obj

share = bkemushr/share,mongoshr/share
nat =
.endif

.ifdef kalhoff
stuff =
share = ploshr/share
nat = /nonative
.endif


#
#	Debug stuff
#
.ifdef deb
fflags = /noop/deb/g_float/check=nooutput/warn=nousa/incl=(sys$disk:[],[.sysdep.$(os)],[.sysdep.$(plot_package)])
linkflags = $(linkflags)/deb
.else
fflags = /g_float/check=nooutput/warn=nousa/include=(sys$disk:[],[.sysdep.$(os)],[.sysdep.$(plot_package)])
.endif


!
! Dependencies:

resize.olb : resize.olb($(sub1),$(sub2),$(stuff))


#resize.olb : $(sub1) $(sub2) -
#             $(stuff)
#	open/write opt sys$scratch:files.opt
#	write opt "$(sub1)"
#	write opt "$(sub2)"
#	write opt "$(stuff)"
#	write opt "plt/l"
#	write opt "$(share)"
#	write opt "$(nat)"
#	close opt
#	opt = f$search("sys$scratch:files.opt")
#	- link $(linkflags) /ex=mymongo 'opt'/opt /sysexe !@plb
#	delete 'opt


clean :
	- purge

realclean : clean
	- delete *.obj;

resize_add_data.obj : [.sysdep.$(os)]resize_add_data.for
resize_add_text.obj : [.sysdep.$(os)]resize_add_text.for
!resize_reset.obj : [.sysdep.$(os)]resize_reset.for
re_paint.obj : [.sysdep.$(os)]re_paint.for
eofchar.obj : [.sysdep.$(os)]eofchar.for
erased_text.obj : [.sysdep.$(plot_package)]erased_text.f
gplane.obj : [.sysdep.$(plot_package)]gplane.f [.sysdep.$(plot_package)]mopa.inc 
new_plot.obj : [.sysdep.$(plot_package)]new_plot.f [.sysdep.$(os)]RESIZE.INC ERASURE.INC 
phard.obj : [.sysdep.$(plot_package).$(os)]phard.for [.sysdep.$(os)]RESIZE.INC 
plote.obj : [.sysdep.$(plot_package).$(os)]plote.for [.sysdep.$(os)]RESIZE.INC 
ploto.obj : [.sysdep.$(plot_package).$(os)]ploto.for [.sysdep.$(os)]RESIZE.INC 
psize.obj : [.sysdep.$(os)]psize.for [.sysdep.$(os)]RESIZE.INC 
tplane.obj : [.sysdep.$(plot_package)]tplane.f [.sysdep.$(plot_package)]mopa.inc 

# DO NOT DELETE THIS LINE - used by make depend
pbegin.obj : [.SYSDEP.$(OS)]RESIZE.INC 
pend.obj : [.SYSDEP.$(OS)]RESIZE.INC 
plotout.obj : [.SYSDEP.$(OS)]RESIZE.INC []RECT_SIZE.INC []ERASURE.INC 
plotscale.obj : [.SYSDEP.$(OS)]RESIZE.INC []RECT_SIZE.INC 
re_paint.obj : [.SYSDEP.$(OS)]RESIZE.INC 
resize.obj : [.SYSDEP.$(OS)]RESIZE.INC []RECT_SIZE.INC []ERASURE.INC
resize_add_data.obj : [.SYSDEP.$(OS)]RESIZE.INC 
resize_add_text.obj : [.SYSDEP.$(OS)]RESIZE.INC 
resize_dsetup.obj : [.SYSDEP.$(OS)]RESIZE.INC 
resize_fsetup.obj : [.SYSDEP.$(OS)]RESIZE.INC []RECT_SIZE.INC 
resize_init.obj : [.SYSDEP.$(OS)]RESIZE.INC 
resize_xmax.obj : []RECT_SIZE.INC 
resize_xmin.obj : []RECT_SIZE.INC 
resize_ymax.obj : []RECT_SIZE.INC 
resize_ymin.obj : []RECT_SIZE.INC 
resize_freset.obj : [.SYSDEP.$(OS)]RESIZE.INC []RECT_SIZE.INC 
resize_dreset.obj : [.SYSDEP.$(OS)]RESIZE.INC
resize_treset.obj : [.SYSDEP.$(OS)]RESIZE.INC
