	subroutine resize_reset
C ***
C ******************************************************************************
C ***
C ***	Routine to reset resize for plot with completely new data.
C ***
C ***
C ***	18-JUN-1996 22:03:43.65		ML / Bamberg.  Created.
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Gobal variables
C ***
	include 'RESIZE.INC'

C ***
C ***	Local variables
C ***
	integer status

C ***
C ***	Functions
C ***
	integer lib$free_vm
	external lib$free_vm
	


C ***
C ***	Code
C ***
        if( ncu .gt. 0 ) then
C ***   
C ***      Free the old memory
C ***   
	   status = lib$free_vm( 8*ncu, pp_xdata )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 8*ncu, pp_ydata )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 4*ncu, p_ndata )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 4*ncu, p_style )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 4*ncu, p_color )
	   if( .not.status ) call lib$signal( %val(status) )
        end if
        if( ncutxt .gt. 0 ) then
C ***   
C ***      Free the old memory
C ***   
	   status = lib$free_vm( 4*ncutxt, p_xt )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 4*ncutxt, p_yt )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 4*ncutxt, p_sizet )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 4*ncutxt, p_loct )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 4*ncutxt, p_colt )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 8*ncutxt, p_text_a )
	   if( .not.status ) call lib$signal( %val(status) )
	   status = lib$free_vm( 8*ncutxt, p_text_l )
	   if( .not.status ) call lib$signal( %val(status) )
        
        end if
        
        
	ncurv = 0
        ncu = 0

	ntext = 0
	ncutxt = 0

	end
