	subroutine number( x, y, size, fpn, theta, ndec )
	entry numbrk( x, y, size, fpn, theta, ndec )
C ***
C ******************************************************************************
C ***
C ***	Same as RZ routine.  See Kalhoff's description.
C ***
C ***	x	[cm] 	x position
C ***	y	[cm] 	y position
C ***	size	[cm]	size of characters
C ***	fpn		number to plot
C ***	theta	[deg]	angle
C ***	ndec		strange format, see Kalhoff
C ***
C ***	12-APR-1994 20:24:24.00		ML / IoA
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
	real x, y, size, fpn, theta
	integer ndec

C ***
C ***	Local variables
C ***
	character*11 zahl, format*7
	integer i

	if( ndec .gt. 0 ) then
	   write( format, '(a,i1,a)' ) '(f11.', ndec, ')'
	   write( zahl, format ) fpn
	else 
	   write( zahl, '(i11)' ) nint( fpn*10**(-abs(ndec)+1) )
	end if

	do i = 1, len(zahl)
	   if( zahl(i:i) .ne. ' ' ) go to 1
	end do
1	continue

	call symbol( x, y, size, zahl(i:), theta, 12-i )

	end
