	SUBROUTINE M01AEF( A, NR, NC, IC, T, TT, IFAIL )
C ***
C ******************************************************************************
C ***
C ***	Substitute for NAG routine. Sorts the rows of a real matrix into
C ***	ascending order of an index column. 
C ***
C ***
C ***	 10-JUN-1988 09:42:02 
C ***
C ******************************************************************************
C ***
	PARAMETER( MR = 100 )	! Maximum number of rows
	DIMENSION A(NR,NC), T(NC), TT(NC), W(MR), IW(MR), WW(MR)

	IFAIL = 0
	IF( NR .LT. 1 ) IFAIL = 1
	IF( NC .LT. 1 ) IFAIL = 2
	IF( IC .LT. 1 ) IFAIL = 3
	IF( IC .GT. NC ) IFAIL = 4
	IF( NR .GT. MR ) THEN
	   NR = MR
	   IFAIL = 5
	END IF
	DO 1 I = 1, NR
	   WW(I) = A(I,IC)
1	CONTINUE
	CALL QSORT( WW, NR, .FALSE. )
	DO 3 I = 1, NR
	   DO 2 J = NR, 1, -1
	      IF( WW(I) .EQ. A(J,IC) ) THEN
		 DO 21 K = 1, I-1
		    IF( IW(K) .EQ. J ) GO TO 2
21		 CONTINUE
		 IW(I) = J
		 GO TO 3
	      END IF
2	   CONTINUE
3	CONTINUE
	DO 6 J = 1, NC
	   DO 4 I = 1, NR
	      W(I) = A( IW(I), J )
4	   CONTINUE
	   DO 5 I = 1, NR
	      A( I, J ) = W(I)
5	   CONTINUE
6	CONTINUE
	RETURN
	END
