	function strcpy( len_s1, s1, s2 )
C ***
C ******************************************************************************
C ***
C ***	Copies a NULL terminated byte string (array) S2 into S1 without
C ***	copying the NULL.  It copies at most LEN_S1 many bytes or until a
C ***	NULL character is found in S2.  S1 is padded with blanks up to LEN_S1.
C ***
C ***	S1	<	BYTE	CHARACTER variable to copy to
C ***	S2	>	BYTE	NULL terminated string to copy.  Usually a
C ***				pointer of char returned from some C function
C ***				passed by value to STRCPY
C ***	LEN_S1	>	INTEGER	Declared length of S1
C ***
C ***	STRCPY	<	INTEGER Number of characters copied
C ***
C ***	25-SEP-1992 17:48:53.00
C ***
C ******************************************************************************
C ***
	implicit none

	byte s1(*), s2(*)
	integer strcpy, len_s1

	integer i

	i = 1
	do while( s2(i) .ne. 0 .and. i .le. len_s1 )
	   s1(i) = s2(i)
	   i = i + 1
	end do

	strcpy = i - 1

	do while( i .le. len_s1 )
!	   s1(i) = ' '
	   s1(i) = ichar(' ')
	   i = i + 1
	end do

	end
