	subroutine getimagename( image, len_image )
C ***
C ******************************************************************************
C ***
C ***	Returns full path of current image. 
C ***	Sort of like lib$getjpi( jpi$_imagname ), Unix is too stupid to do
C ***	it always right.
C ***
C ***	IMAGE		< 	Character	image name
C ***	LEN_IMAGE	<	Integer 	Number of characters written to
C ***						IMAGE
C ***
C ***
C ***	25-SEP-1992 12:30:55.00
C ***
C ***	Modifications:
C ***
C ***	 6-NOV-1992 12:26:42.00		ML / UT Austin.  Use C's malloc/free as
C ***                                   Fortran's is broken (free in
C ***					particular).  Shit SunOS.
C ***   21-APR-1997 02:48:01.00         ML / Bamberg.  Linux.  Take out malloc
C ***                                   Rest should work.  Needs 2k more memory
C ***
C ******************************************************************************
C ***
	implicit none

	character*(*) image
	integer len_image

C ***
C ***	Functions
C ***
	integer access, lnblnk, malloc, free

C ***
C ***	Local variables
C ***
!	pointer ( p_path, path ), ( p_try_path, try_path )
	character*1024 prg_name, path, try_path
	integer i, j, len_prg
	logical first
	data first /.true./

	save first, prg_name, len_prg


C ***
C ***	Code
C ***
	if( first ) then
	   call getarg( 0, prg_name )
	   len_prg = lnblnk( prg_name )
	   if( index( prg_name, '/' ) .eq. 0 ) then
!              p_path = malloc( 1024 )
!              p_try_path = malloc( 1024 )
	      call getenv( 'PATH', path )
	      i = 0
	      call element( try_path, i, ':', path )
	      do while( try_path .ne. ':' )
                 j = lnblnk( try_path )
	         if( try_path(j:j) .ne. '/' ) then
	            j = j + 1
	            try_path(j:) = '/'
	         end if
                 try_path(j+1:) = prg_name
	         if( access( try_path(:j + len_prg), 'x' ) .eq. 0 )
     >	                                                        go to 1
	         i = i + 1
	         call element( try_path, i, ':', path )
	      end do
1	      continue
              prg_name = try_path
	      len_prg = len_prg + j
!              i = free( p_path )
!              i = free( p_try_path )
           end if
	   first = .false.
	end if

	image = prg_name
	len_image = min( len_prg, len(image) )

	end
