	function airlam(vac)
C ***
C ******************************************************************************
C ***
C ***	Converts vacuum wavelengths to "standard air" wavelengths.
C ***	Taken from Allen, AQ.
C ***
C ***	Darn.  We don't want that but the opposite.  Fake it for the moment.
C ***	So this converts from "standard air" to vaccum!
C ***
C ***	vac	r >	vacuum wavelength []
C ***
C ***	23-FEB-1994 16:24:48.00		ML / IoA
C ***
C ******************************************************************************
C ***
	implicit none
	real airlam, vac

	if( vac .ge. 2000. ) then
!correct   airlam = vac/( 1.e-6*( 64.328 + 29498.1/(146. - 1.e8/vac/vac)
	   airlam = vac*( 1.e-6*( 64.328 + 29498.1/(146. - 1.e8/vac/vac)
     >                            + 255.4/(41. - 1.e8/vac/vac) ) + 1. )
	else
	   airlam = vac
	end if

	end

