	subroutine defaults
C ***
C ******************************************************************************
C ***
C ***	Set default values for certain input parameters and initial values
C ***	for some other arrays.
C ***
C ***	14-SEP-1992 21:56:51.00		ML / UT Austin
C ***
C ***	Modifications:
C ***
C ***	23-FEB-1994 15:43:32.00		ML /IoA Cambs.  Changed DATA to
C ***					assignments.  Saves 5Mb of disk space
C ***                                   on Shitix.
C ***	28-SEP-1994 19:16:56.00		ML / IoA.  Took out fit_mask.  Belongs
C ***					in spefit.
C ***	28-FEB-1995 16:29:02.00		ML / IoA.  Took out costhe.  Done in
C ***					readin via lcosthe due to new logic.
C ***                                   Took out kma.  Done in readin via
C ***                                   kkma.
C ***   16-JUL-1997 22:04:24.00         ML / Stegaurach.  IFABS -> character
C ***
C ******************************************************************************
C ***
	implicit none

	include 'LINLTE.INC'
	include 'CALCUL.INC'
	include 'FLUSS.INC'
	include 'IF.INC'
	include 'LINDAT.INC'
	include 'LINE.INC'
	include 'NLTE.INC'
	include 'PROFIL.INC'

	integer i, j

        del      = 0.001
        
        ifscat   = 0
        dlogc6   = 0.
        dlogc4   = 0.
        dloggr   = 0.
        ifspha   = 0 
                 
        ifnlte   = 0
        ifabs    = '0'
        isyn     = -1
        wlim     = -1.e38      ! Make sure line gets usually printed
                 
        ximac    = -1.
        vsini    = 0.
        beta_cl  = 0.
        mfit     = 0
        iflimits = 0
        ifauto   = 1
        itv      = 0

	do i = 0, 3
	   do j = 1, 98
	      dloggf( j, i ) = 0.
	   end do
	end do

	end
        
        
