        subroutine lab_decode( lab, label, lmax, l )
C ***
C ******************************************************************************
C ***
C *** 	Finds character label LAB in integer LABEL from DEPART.DAT and sets L to
C ***  	corresponding number. Is currently case insensitive and multiple blanks
C ***  	are replaced by a single blank.
C ***
C ***  	22-APR-1991 19:37:33.82
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
        integer l, lmax
        character*( * ) lab, label( lmax )

C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'
C ***
C ***	Local variables
C ***
        character*( lab_siz ) clabel
C ***
        if( lab .ne. ' ' ) then
           call compress( lab, lab )
           call grossb( lab, lab )
           if( lab .eq. 'LTE' ) then
              l = lmax
           else if( lab .eq. 'CONT' .or. lab .eq. 'KONT' ) then
              l = lmax - 1
           else
              l = 1
              call compress( label(l), clabel )
              call grossb( clabel, clabel )
              do while( lab .ne. clabel )
                 if( l .ge. lmax - 1 ) then
                    write( stdout, * ) 'LINLTE>> ERROR: Can''t find ',
     >                'level ', lab, ' in DEPART.DAT.'
                    call exit
                 end if
                 l = l + 1
                 call compress( label(l), clabel )
                 call grossb( clabel, clabel )
              end do
           end if
        end if
        end
