        function profhy( r, d, n, k )
	implicit none
C ***
C ***	Profil Hydrogen
C ***

C ***
C ***	Arguments
C ***
	integer n, k
	real r, d
	real profhy

C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'
      	include 'LINE.INC'

C ***
C ***	Functions
C ***
	real ash

C ***
C ***	Local variables
C ***
	real dld, ds, x, y


        dld = vdop( n, 1 )*lamk( k )
        y = dld/10.
        x = 0.
        ds = y
        if( d .lt. 5.*dld ) then

           do while( (ds/dld .lt. 2.5) )
              x = x + ( ash(r, d + ds, n, k) + ash(r, d - ds, n, k) )/
     >            exp( ds*ds/dld/dld )
              ds = ds + y
           end do

           x = x + ash( r, d, n, k )
           profhy = x/1.77245*y/dld

        else
           profhy = ash( r, d, n, k )
        end if

        end
