	function rrca( e, di, l, iz )
C ***
C ******************************************************************************
C ***
C ***	Unsld formula for mean square radius.
C ***
C ***	29-JAN-1992 20:39:19.95
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
     	integer l, iz
     	real rrca, e, di

     	if( e .ne. di ) then
           rrca = 6.794/( di - e )*( iz*iz*67.99/
     >	                             (di - e) + 1 - 3*l*(l + 1) )
     	else
	   rrca = 10 000.
     	end if
     	end
