        function ucg( w )
	implicit none
C ***
C ***	Universal Curve of Growth
C ***

C ***
C ***	Arguments
C ***
	real w
	real ucg

C ***
C ***	Global variables
C ***
	include 'LINLTE.INC'
      	include 'FLUSS.INC'
      	include 'FCON.INC'
      	include 'LINE.INC'

C ***
C ***	Local variables
C ***
	real om

        om = log10( w/2./dldop/(1. - blam(ntmin)/fclam) )
        if( om .lt. -1. ) then
           ucg = om

        else if( om .ge. 0.5 ) then
           ucg = 2.*om - log10( 2.*alpha(mt, 1) )

        else
           ucg = om + ( om - log10(2.*alpha(mt, 1)) )*( om + 1. )*2./3.
        end if

        end
