	subroutine linid( file, skip, xc, yc, ltyp )
	implicit none
C ***
C ***   $Id: linid.f,v 1.5 2005/12/15 22:15:07 michael Exp $
C ***
C ***	ltyp .eq. -100:	don't plot wavelengths'
C ***             -101: do plot wavelengths
C ***


C ***
C ***	Arguments
C ***
	character*(*) file
	integer skip, xc, yc
	real ltyp

C ***
C ***	Global variables
C ***
	include 'ID.INC'

C ***
C ***	Local variables
C ***
	integer i, k, length, remain, ilin
	real x
	character line*132, id*30, cx*9

C ***
C ***   Functions
C ***
        integer idx


	data ilin /0/
	save ilin



	open( 1, file = file, status = 'old'
*     >        , readonly, shared 
     >      )
        do k = 1, skip - 1
           read( 1, '()')
	end do
        
        
        iline = ilin
        line = ' '
	do while( .true. )
*	   read( 1, '(q,a,q)', end = 2 ) length, line, remain
           read( 1, '(a)', end = 2 ) line
           length = idx(line)
           remain = 0
	   if( remain .gt. 0 ) then
              write( 6, * ) 'MYMONGO>> input truncated for'
              write( 6, * ) line
	   end if
           if( line .ne. ' ' ) then
              length = min( len(line), length )
              k = 1
              do while( line(k:k) .eq. ' ' .or.  ! remove leading white...
     >                  line(k:k) .eq. char(9) ) ! ...space
                 k = k + 1
              end do
 	      do i = 1, yc - 1
	         ! find y column
                 do while( (line(k:k) .ne. ' ' .and.! find end of number
     >                      line(k:k) .ne. char(9)) .and.
     >                     k .le. length )
                    k = k + 1
	         end do
                 do while( (line(k:k) .eq. ' ' .or. ! remove leading white space
     >                      line(k:k) .eq. char(9)) .and.
     >                     k .le. length )          ! i.e., find start of number
                    k = k + 1
                 end do
	      end do
	      read( line, * ) (x, i=1,xc)           ! wavelength
	      id = line(k:)                         ! text
	      if( ltyp .eq. -101. ) then
	         read( line, * ) (cx, i=1,xc)       ! wavelength as character
	         id = cx(:idx(cx))//' '//id
	      end if
	      call corder( x, id, xline, pline, iline )
        
        
              if( iline .ge. nid ) stop 'linid: need more money'
           end if
	end do
        
2	close( 1 )
	ilin = iline

	end
