      PROGRAM LINEAR2
C ***
C *** Version without temporary I/O on unit 32,
C *** requires approximately 570000 words additional memory
C ***
C *** Comments changed and commented code removed: 17-OCT-1990 14:34:44.67 M.L.
C ***
C ***                        30-JAN-1991 19:28:40.12
C ***
C ***	11-MAY-1995 12:25:55.00		ML / IoA.  Accomodate new OPA format
C ***
      INCLUDE 	'MOD_SIZ.INC'

      REAL 	DZI(M_DEPTH,M_LINES), DZIM1(M_DEPTH), 
     >	        ZZ(M_DEPTH,M_DEPTH)
      REAL	DNI(M_DEPTH), DNJ(M_DEPTH),
     >	        RU(M_DEPTH,M_LINES), RD(M_DEPTH,M_LINES)
      REAL	RR(M_DEPTH,M_DEPTH), SS(M_DEPTH,M_DEPTH), LL(M_DEPTH)
      INTEGER 	UP, IP(M_DEPTH)
      CHARACTER	HEAD*132 
      REAL 	RRR(M_LINES,M_DEPTH,M_DEPTH), 
     >	  	SSS(M_LINES,M_DEPTH,M_DEPTH),
     >	        LLL(M_LINES,M_DEPTH),
     >	  	ZZZ(M_LINES,M_DEPTH,M_DEPTH)
      INTEGER 	IIP(M_LINES,M_DEPTH)
      REAL 	MA, N, L
      LOGICAL 	IFCONV

      INTEGER 	OPA, RADFK
      PARAMETER( OPA = 23, RADFK = 30 )

      COMMON 	/CONT/ 	CHCON(M_DEPTH), ETCON(M_DEPTH)
      COMMON 	/NNS/ 	NL, NK, NDEPTH, NJ, NT, NF1(M_LINES),
     >	  		LOW(M_LINES), UP(M_LINES), GR(M_LINES)
      COMMON 	/MODEL/ MA(M_DEPTH), RHO(M_DEPTH), N(M_DEPTH,M_LEVELS)
      COMMON 	/OPAC/ 	FREQ, CHI(M_DEPTH), ETA(M_DEPTH), CHIE(M_DEPTH),
     >	  		SIG(M_DEPTH), BNU(M_LINES), WT(M_DEPTH)
      COMMON 	/MATIJ/ F(M_DEPTH,M_DEPTH), RM1(M_DEPTH), R0(M_DEPTH),
     >	  		RP1(M_DEPTH), SM1(M_DEPTH), S0(M_DEPTH),
     >	  		SP1(M_DEPTH), L(M_DEPTH)
C ***
C ***	Something that saves memory but conflicts with variable dimensions of
C ***	RU and RD array. Would require MAX function in the REAL statement.
C ***
C ***	First EQUIVALENCE would allow some easier initialization of arrays RR,
C ***	SS, ZZ, LL, and IP as well (vectorizable loop on array OUTCOM), but is
C ***	hard to read. CPU time should be no problem.
C ***
C      REAL OUTCOM(7680)
C      EQUIVALENCE (OUTCOM(1),RR(1,1)),(OUTCOM(2501),SS(1,1)),
C     1		  (OUTCOM(5001),LL(1)),(OUTCOM(5051),ZZ(1,1)),
C     2		  (OUTCOM(7551),IP(1))
C      EQUIVALENCE (OUTCOM(1),RU(1,1)),(OUTCOM(3751),RD(1,1))
C ***


      OPEN( OPA, FILE = 'OPA', FORM = 'UNFORMATTED' )
      OPEN( RADFK, FILE = 'RADFK', FORM = 'UNFORMATTED' )

      READ( *, * ) IIMAX, W, EPS, IFPLO
      CALL INPLIN( HEAD, ITER )
      II = 0
      NM1 = NDEPTH - 1
      REWIND OPA
      REWIND RADFK
      CALL DN(DNI,DNJ,DZI,1,0)
C ***
C *** Aufstellung der Gleichung, fuer jeden Uebergang Summation ueber
C *** alle Frequenzen
C ***
C ******************************************************************************
C ***
      DO 8 IT=1,NT
	 N1=NF1(IT)
	 I=LOW(IT)
	 J=UP(IT)
*	 CALL RE3(OPA,CHCON,NDEPTH,ETCON,NDEPTH,CHIE,NDEPTH)
	 CALL RE2( OPA, ETCON, NDEPTH, CHIE, NDEPTH )
	 CALL RE2( OPA, BNU(IT), 1, FREQ, 1 )
C ***
C ***    Vorbereitung der Summation
C ***
C ***	 The following two loops could be changed to operate on array OUTCOM,
C ***	 see comments above [size of OUTCOM: M_DEPTH*(3*M_DEPTH + 1)].
C ***
	 DO ID = 1, M_DEPTH
            DO JD = 1, M_DEPTH
               RR(JD,ID) = 0.
               SS(JD,ID) = 0.
               ZZ(JD,ID) = 0.
            END DO
	 END DO
	 DO ID = 1, M_DEPTH
    	    IP(ID) = 0
            LL(ID) = 0.
	 END DO
C ***
C ***    Summation ueber alle Frequenzen eines Ueberganges
C ***
	 DO 5 IJ=1,N1
C ***
C ***       Erzeugung der Matrizen fuer jeden Frequenzpunkt
C ***
	    ITT=IT
	    CALL MATGEN(ITT,FAC2)
C ***
C ***       Inversion der tridiagonalen F matrix
C ***
	    CALL TRIINV(F,NDEPTH,M_DEPTH)
	    U=1.896467E27/FREQ
C ***
C ***       Multiplikation der tridiagonalen Matrizen R,S mit F(invers)
C ***       und Multiplikation der Glg zur Erzeugung der net radiative
C ***       bracket fuer alle Tiefen
C ***
	    DO 4 ID=1,NDEPTH
	       V=U*WT(ID)*SIG(ID)*RHO(ID)
	       X=V*(N(ID,I)-GR(IT)*N(ID,J))
	       A=F(ID,1)*R0(1)+F(ID,2)*RM1(2)
	       B=F(ID,1)*S0(1)+F(ID,2)*SM1(2)
	       C=F(ID,1)*L(1)
	       RR(ID,1)=(X*A)*FAC2+RR(ID,1)
	       SS(ID,1)=(X*B)*FAC2+SS(ID,1)
	       DO 3 M=2,NM1
		  A=F(ID,M-1)*RP1(M-1)+F(ID,M)*R0(M)+F(ID,M+1)*RM1(M+1)
		  B=F(ID,M-1)*SP1(M-1)+F(ID,M)*S0(M)+F(ID,M+1)*SM1(M+1)
		  C=C+F(ID,M)*L(M)
		  RR(ID,M)=(X*A)*FAC2+RR(ID,M)
		  SS(ID,M)=(X*B)*FAC2+SS(ID,M)
    3	       CONTINUE
	       M=NDEPTH
	       A=F(ID,M-1)*RP1(M-1)+F(ID,M)*R0(M)
	       B=F(ID,M-1)*SP1(M-1)+F(ID,M)*S0(M)
	       C=C+F(ID,M)*L(M)
	       RR(ID,M)=(X*A)*FAC2+RR(ID,M)
	       SS(ID,M)=(X*B)*FAC2+SS(ID,M)
	       LL(ID)  =(X*C)*FAC2+LL(ID)
    4	    CONTINUE
    5	 CONTINUE
C ***
C ***    Berechnung der ZZ-Matrix fuer jeden Uebergang
C ***
	 ITT=IT
	 CALL DN(DNI,DNJ,DZI,2,ITT)
	 DO 7 ID=1,NDEPTH
	    A=DNI(ID)
	    B=DNJ(ID)
	    DO 6 M=1,NDEPTH
	       ZZ(M,ID)=RR(M,ID)*A+SS(M,ID)*B
    6	    CONTINUE
	    ZZ(ID,ID)=ZZ(ID,ID)+1.0E00
    7	 CONTINUE
C ***
C ***    Loesung der Glg fuer Delta Z(Transition) in 0-ter Naeherung
C ***
	 CALL LUFAC(ZZ,IP,NDEPTH,M_DEPTH)
	 DO 30 ID=1,NDEPTH
	    DO 31 JD=1,NDEPTH
	       RRR (IT,ID,JD) = RR (ID,JD)
	       SSS (IT,ID,JD) = SS (ID,JD)
	       ZZZ (IT,ID,JD) = ZZ (ID,JD)
   31	    CONTINUE
	    LLL (IT,ID) = LL (ID)
	    IIP (IT,ID) = IP (ID)
   30	 CONTINUE
	 CALL SOLVE(ZZ,LL,DZI(1,IT),IP,NDEPTH,M_DEPTH)
    8 CONTINUE
      REWIND OPA
      REWIND RADFK
      CLOSE(OPA)
      CLOSE(RADFK)
C ***
C *** iterative Lsg der Glg Uebergang fuer Uebergang
C *** fertig bei Iteration = ITERMAX
C ***
    9 II=II+1
      IFCONV = .FALSE.
      DO 13 IT=1,NT
	 ITT=IT
	 CALL DN(DNI,DNJ,DZI,3,ITT)
	 DO 32 ID=1,NDEPTH
	    DO 33 JD=1,NDEPTH
	       RR (ID,JD) = RRR (IT,ID,JD)
	       SS (ID,JD) = SSS (IT,ID,JD)
	       ZZ (ID,JD) = ZZZ (IT,ID,JD)
   33	    CONTINUE
	    LL (ID) = LLL (IT,ID)
	    IP (ID) = IIP (IT,ID)
   32	 CONTINUE
	 DO 11 ID=1,NDEPTH
	    SUM=0.0E00
	    DZIM1(ID)=DZI(ID,IT)
	    DO 10 M=1,NDEPTH
	       SUM=SUM+RR(ID,M)*DNI(M)+SS(ID,M)*DNJ(M)
   10	    CONTINUE
	    LL(ID)=LL(ID)-SUM
   11	 CONTINUE
	 CALL SOLVE(ZZ,LL,DZI(1,IT),IP,NDEPTH,M_DEPTH)
	 DO 12 ID=1,NDEPTH
	    DZI(ID,IT)=W*DZI(ID,IT)+(1.0E00-W)*DZIM1(ID)
	    IF( IFCONV ) GO TO 12
	    IFCONV = ABS(DZI(ID,IT)-DZIM1(ID))/ABS(DZI(ID,IT)) .GT. EPS
   12	 CONTINUE
   13 CONTINUE
      IF(II.GE.IIMAX) GO TO 14
C ***
C *** fertig bei Aenderung zu klein
C ***
C ***
C *** SOR-Iteration cycle
C ***
      IF( IFCONV ) GO TO 9
C ***
C *** Iteration fertig
C ***
   14 CONTINUE
      OPEN(UNIT=31,FILE='RURD', FORM = 'UNFORMATTED' )
      REWIND 31
      DO 15 IT=1,NT
         CALL RE2(31,RU(1,IT),NDEPTH,RD(1,IT),NDEPTH)
15    CONTINUE
      REWIND 31
      CALL COMP(DZI,II,HEAD,ITER,RU,IFPLO)
C ***
C *** Berechnung der Raten aus der net radiative bracket
C ***
      DO 18 IT=1,NT
	 N1=NF1(IT)
	 I=LOW(IT)
	 J=UP(IT)
C ***
C ***    Linienraten
C ***
	 DO 16 ID=1,NDEPTH
	    A=DZI(ID,IT)/(N(ID,I)-GR(IT)*N(ID,J))
	    RU(ID,IT)=A+RU(ID,IT)
	    RD(ID,IT)=A*GR(IT)+RD(ID,IT)
   16	 CONTINUE
C ***
C ***    Photoionisationsraten
C ***
	 CALL WR2(31,RU(1,IT),NDEPTH,RD(1,IT),NDEPTH)
   18 CONTINUE
      REWIND 31
      CLOSE(31)
      END
