	implicit none
	real sigcn, tecn(3), gwecn(3), becn(3), aecn(3), wecn(3),
     >       wexecn(3)

	integer nterm, i
	parameter( nterm = 3 )

	real level(nterm,6)
	real te(nterm), gwe(nterm), be(nterm), ae(nterm), we(nterm),
     >       wexe(nterm)
	equivalence( te(1), level(1,1) )
	equivalence( gwe(1), level(1,2) )
	equivalence( be(1), level(1,3) )
	equivalence( ae(1), level(1,4) )
	equivalence( we(1), level(1,5) )
	equivalence( wexe(1), level(1,6) )
	
	data (level(1,i),i=1,6) /0., 2., 1.8997, 0.0175, 2163.9, 13.114/
	data (level(2,i),i=1,6) /8215.01, 4., 1.7153, 0.01727, 1812.33,
     >                           12.61/
	data (level(3,i),i=1,6) /24725.99, 2., 1.973, 0.023, 2068.61,
     >                           20.2/
	

	real qab


	sigcn = 1.

	type *, qab( 1000., sigcn, gwe, te, we, wexe, ae, be, 3 )

	tecn(1) = 0.
	gwecn(1) = 2.
	becn(1) = 1.8997
	aecn(1) = 0.01736
	wecn(1) = 2068.59
	wexecn(1) = 13.087

	tecn(2) = 9245.28
	gwecn(2) = 4.
	becn(2) = 1.7151
	aecn(2) = 0.01708
	wecn(2) = 1812.5
	wexecn(2) = 12.60

	tecn(3) = 25752.0
	gwecn(3) = 2.
	becn(3) = 1.973
	aecn(3) = 0.023
	wecn(3) = 2163.9
	wexecn(3) = 20.2

	type *, qab( 1000., sigcn, gwecn, tecn, wecn, wexecn, aecn, becn,
     >               3 )

	end
