	subroutine resize_fsetup( xxmin, xxmax, yymin, yymax,
     >                            xlabel, ylabel, tlabel )
C ***
C ******************************************************************************
C ***
C ***	Routine to set plot limits and labels of frame
C ***
C ***	xxmin	r >	min x limit, if .eq. xmax : auto scale x on first curve
C ***	xxmax	r >	max x limit, if .eq. xmin : auto scale x on first curve
C ***	yymin	r >	min y limit, if .eq. ymax : auto scale y on first curve
C ***	yymax	r >	max x limit, if .eq. ymin : auto scale y on first curve
C ***	xlabel	c >	label for x-axis
C ***	ylabel	c >	label for y-axis
C ***	ylabel	c >	label for top of frame (header)
C ***
C ***
C ***	18-JUN-1996 13:06:11.59f	ML / Bamberg.  Created.
C ***
C ******************************************************************************
C ***
	implicit none

C ***
C ***	Arguments
C ***
	real xxmin, xxmax, yymin, yymax
	character*(*) xlabel,ylabel,tlabel

C ***
C ***	Global variables
C ***
	include 'RESIZE.INC'
	include 'RECT_SIZE.INC'


	xmin = xxmin
	xmax = xxmax
	ymin = yymin
	ymax = yymax

	xpmin = xxmin
	xpmax = xxmax
	ypmin = yymin
	ypmax = yymax

	xlab = xlabel
	ylab = ylabel
	tlab = tlabel

	end
