	subroutine phard       
C ***
C ******************************************************************************
C ***
C ***	Print hardcopy.  This is a plot package dependent function.
C ***
C ***	Mongo/Unix version.
C ***	Accepts env var LINLTE_PRINT which must be valid Fortran format
C ***	for constructing print command.  Default: ('lpr -h ', a)
C ***
C ***	Modifications:
C ***
C ***	18-NOV-1994 18:30:26.00		ML / IoA.  Created.
C ***	19-NOV-1994 01:24:33.00		ML / IoA.  Added LINLTE_PRINT, version
C ***					control
C ***   27-MAR-1997 01:53:27.00         ML / Stegaurach.  Linux version.
C ***	29-NOV-1999 14:36:21.00		ML / McA.  lpr -> lp
C ***    5-OCT-2000 11:20:00.00		ML / McA.  #ifdef Linux => __GNUC__
C ***    9-OCT-2001 23:11:45.00		ML / Stegaurach.  Replaced 
C ***					post_file_name with call to pltfile.
C ***					That one also works for gif etc.
C ***
C ******************************************************************************
C ***
	implicit none

	include 'RESIZE.INC'
	character*1024 file_name, format, command*1023

	integer i, context
	integer idx
        integer status
#ifndef __GNUC__
        integer system
#endif

	call pltfile( file_name, i )

	context = 0
	call versname( file_name(:i), 'O', file_name, context )

	call getenv( 'LINLTE_PRINT', format )
	if( format .eq. ' ' ) then
	   format = '(''lp '', a)'
	end if
	command = ' '
        write( command, format ) file_name(:idx(file_name))
#ifndef __GNUC__
        status = system(command)
#else
        call system( command, status )
#endif        
	if( status .ne. 0 ) then
	   write( stdout, * ) 'LINLTE>> Couldn''t print.'
	end if

	end
