#ifdef REF_PTR
C ***
C ******************************************************************************
C ***
C ***	Functions to dereference pointers and to assign to their pointees.
C ***
C ***	function (i)deref( pointer, i )	        : return pointer(i)
C ***	subroutine (i)derefass( from, to, i )	: assign to(i) = from(i)
C ***	subroutine (i)arrcp( from, to, m, n )	: assign to(m:n) = from(m:n)
C ***
C ***	 3-OCT-2001 18:41:10.00		ML / Stegaurach.  Made (again, damned
C ***					Windows!).
C ***
C ******************************************************************************
C ***

	function ideref( a, i )
	implicit none

	integer ideref
	integer i
	integer a(i)

	ideref = a(i)

	end
	function deref( a, i )
	implicit none

	real deref
	integer i
	real a(i)

	deref = a(i)

	end


C ***	Assignment (scalar)

	subroutine iderefass( from, to, i )
	implicit none

	integer i
	integer from, to(i)

	to(i) = from

	end

	subroutine derefass( from, to, i )
	implicit none

	integer i
	real from, to(i)

	to(i) = from

	end


C ***	Assignment (array)

	subroutine iarrcp( from, to, m, n )
	implicit none

	integer m, n
	integer from(n), to(n)

	integer i

	do i = m, n
	   to(i) = from(i)
	end do

	end

	subroutine arrcp( from, to, m, n )
	implicit none

	integer m, n
	real from(n), to(n)

	integer i

	do i = m, n
	   to(i) = from(i)
	end do

	end
#endif
